W3CDOMStreamWriter (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.staxutils

## Class W3CDOMStreamWriter

- java.lang.Object
- - org.apache.cxf.staxutils.W3CDOMStreamWriter

- All Implemented Interfaces:
    `XMLStreamWriter`
  Direct Known Subclasses:
    `OverlayW3CDOMStreamWriter`

      public class W3CDOMStreamWriter
      extends Object
      implements XMLStreamWriter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `W3CDOMStreamWriter()` |
    `W3CDOMStreamWriter​(DocumentBuilder builder)` |
    `W3CDOMStreamWriter​(Document document)` |
    `W3CDOMStreamWriter​(DocumentFragment frag)` |
    `W3CDOMStreamWriter​(Document document, DocumentFragment frag)` |
    `W3CDOMStreamWriter​(Document owner, Element e)` |
    `W3CDOMStreamWriter​(Element e)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `protected void` | `createAndAddElement​(String prefix, String local, String namespace)` |
    `protected Element` | `createElementNS​(String ns, String pfx, String local)` |
    `void` | `flush()` |
    `DocumentFragment` | `getCurrentFragment()` |
    `Element` | `getCurrentNode()` |
    `Document` | `getDocument()` |
    `NamespaceContext` | `getNamespaceContext()` |
    `String` | `getPrefix​(String uri)` |
    `Object` | `getProperty​(String name)` |
    `boolean` | `isNsRepairing()` |
    `protected void` | `newChild​(Element element)` |
    `protected void` | `setChild​(Element element, boolean append)` |
    `void` | `setDefaultNamespace​(String arg0)` |
    `void` | `setNamespaceContext​(NamespaceContext ctx)` |
    `void` | `setNsRepairing​(boolean b)` |
    `void` | `setPrefix​(String arg0, String arg1)` |
    `void` | `setProperties​(Map<String,​Object> properties)` |
    `String` | `toString()` |
    `void` | `writeAttribute​(String local, String value)` |
    `void` | `writeAttribute​(String namespace, String local, String value)` |
    `void` | `writeAttribute​(String prefix, String namespace, String local, String value)` |
    `void` | `writeCData​(String data)` |
    `void` | `writeCharacters​(char[] text, int start, int len)` |
    `void` | `writeCharacters​(String text)` |
    `void` | `writeComment​(String value)` |
    `void` | `writeDefaultNamespace​(String namespace)` |
    `void` | `writeDTD​(String arg0)` |
    `void` | `writeEmptyElement​(String local)` |
    `void` | `writeEmptyElement​(String namespace, String local)` |
    `void` | `writeEmptyElement​(String prefix, String local, String namespace)` |
    `void` | `writeEndDocument()` |
    `void` | `writeEndElement()` |
    `void` | `writeEntityRef​(String ref)` |
    `void` | `writeNamespace​(String prefix, String namespace)` |
    `void` | `writeProcessingInstruction​(String target)` |
    `void` | `writeProcessingInstruction​(String target, String data)` |
    `void` | `writeStartDocument()` |
    `void` | `writeStartDocument​(String version)` |
    `void` | `writeStartDocument​(String encoding, String version)` |
    `void` | `writeStartElement​(String local)` |
    `void` | `writeStartElement​(String namespace, String local)` |
    `void` | `writeStartElement​(String prefix, String local, String namespace)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter()

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter​(DocumentBuilder builder)

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter​(Document document)

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter​(DocumentFragment frag)

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter​(Document document,
                                    DocumentFragment frag)

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter​(Element e)

    - #### W3CDOMStreamWriter

          public W3CDOMStreamWriter​(Document owner,
                                    Element e)

  - ### Method Detail

    - #### getCurrentNode

          public Element getCurrentNode()

    - #### getCurrentFragment

          public DocumentFragment getCurrentFragment()

    - #### setNsRepairing

          public void setNsRepairing​(boolean b)

    - #### isNsRepairing

          public boolean isNsRepairing()

    - #### setProperties

          public void setProperties​(Map<String,​Object> properties)

    - #### getDocument

          public Document getDocument()

    - #### writeStartElement

          public void writeStartElement​(String local)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### newChild

          protected void newChild​(Element element)

    - #### setChild

          protected void setChild​(Element element,
                                  boolean append)

    - #### writeStartElement

          public void writeStartElement​(String namespace,
                                        String local)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartElement

          public void writeStartElement​(String prefix,
                                        String local,
                                        String namespace)
                                 throws XMLStreamException

      Specified by:
        `writeStartElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### createElementNS

          protected Element createElementNS​(String ns,
                                            String pfx,
                                            String local)

    - #### createAndAddElement

          protected void createAndAddElement​(String prefix,
                                             String local,
                                             String namespace)

    - #### writeEmptyElement

          public void writeEmptyElement​(String namespace,
                                        String local)
                                 throws XMLStreamException

      Specified by:
        `writeEmptyElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          public void writeEmptyElement​(String prefix,
                                        String local,
                                        String namespace)
                                 throws XMLStreamException

      Specified by:
        `writeEmptyElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEmptyElement

          public void writeEmptyElement​(String local)
                                 throws XMLStreamException

      Specified by:
        `writeEmptyElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEndElement

          public void writeEndElement()
                               throws XMLStreamException

      Specified by:
        `writeEndElement` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEndDocument

          public void writeEndDocument()
                                throws XMLStreamException

      Specified by:
        `writeEndDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String local,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String prefix,
                                     String namespace,
                                     String local,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeAttribute

          public void writeAttribute​(String namespace,
                                     String local,
                                     String value)
                              throws XMLStreamException

      Specified by:
        `writeAttribute` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeNamespace

          public void writeNamespace​(String prefix,
                                     String namespace)
                              throws XMLStreamException

      Specified by:
        `writeNamespace` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeDefaultNamespace

          public void writeDefaultNamespace​(String namespace)
                                     throws XMLStreamException

      Specified by:
        `writeDefaultNamespace` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeComment

          public void writeComment​(String value)
                            throws XMLStreamException

      Specified by:
        `writeComment` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeProcessingInstruction

          public void writeProcessingInstruction​(String target)
                                          throws XMLStreamException

      Specified by:
        `writeProcessingInstruction` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeProcessingInstruction

          public void writeProcessingInstruction​(String target,
                                                 String data)
                                          throws XMLStreamException

      Specified by:
        `writeProcessingInstruction` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCData

          public void writeCData​(String data)
                          throws XMLStreamException

      Specified by:
        `writeCData` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeDTD

          public void writeDTD​(String arg0)
                        throws XMLStreamException

      Specified by:
        `writeDTD` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeEntityRef

          public void writeEntityRef​(String ref)
                              throws XMLStreamException

      Specified by:
        `writeEntityRef` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          public void writeStartDocument()
                                  throws XMLStreamException

      Specified by:
        `writeStartDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          public void writeStartDocument​(String version)
                                  throws XMLStreamException

      Specified by:
        `writeStartDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeStartDocument

          public void writeStartDocument​(String encoding,
                                         String version)
                                  throws XMLStreamException

      Specified by:
        `writeStartDocument` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCharacters

          public void writeCharacters​(String text)
                               throws XMLStreamException

      Specified by:
        `writeCharacters` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### writeCharacters

          public void writeCharacters​(char[] text,
                                      int start,
                                      int len)
                               throws XMLStreamException

      Specified by:
        `writeCharacters` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### getPrefix

          public String getPrefix​(String uri)
                           throws XMLStreamException

      Specified by:
        `getPrefix` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setPrefix

          public void setPrefix​(String arg0,
                                String arg1)
                         throws XMLStreamException

      Specified by:
        `setPrefix` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setDefaultNamespace

          public void setDefaultNamespace​(String arg0)
                                   throws XMLStreamException

      Specified by:
        `setDefaultNamespace` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### setNamespaceContext

          public void setNamespaceContext​(NamespaceContext ctx)
                                   throws XMLStreamException

      Specified by:
        `setNamespaceContext` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLStreamWriter`

    - #### getProperty

          public Object getProperty​(String name)

      Specified by:
        `getProperty` in interface `XMLStreamWriter`

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### flush

          public void flush()
                     throws XMLStreamException

      Specified by:
        `flush` in interface `XMLStreamWriter`
      Throws:
        `XMLStreamException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`